<?php
if (!defined('XOOPS_ROOT_PATH')) exit();

/**
 * Ŀ
 */
class BBSB_ViewPersonalscoreAction extends BBSB_AbstractEditAction
{
	var $mErrMsg			= null;		// 顼å
	var $mNendoList			= array();	// ǯ٥쥯ȥܥåǡ
	var $mLeagueList		= array();	// ꡼/ť쥯ȥܥåǡ
	var $mTournamentList	= array();	// /ȡʥȥ쥯ȥܥåǡ
	var $mGameOrderList		= array();	// 糧쥯ȥܥåǡ
	var $mGroundList		= array();	// 饦ɥ쥯ȥܥåǡ
	var $mOpponentList		= array();	// ꥻ쥯ȥܥåǡ
	var $mBatterData		= array();	// Ƿ⥵ޥǡ
	var $mBatterMaxData		= array();	// Ƿ⥵ޥѺͥǡ
	var $mBatterTeamData	= array();	// Ƿ⥵ޥǡ()
	var $mGameNum			= null;		// 
	var $mBRegNum			= 0;		// ʿ
	var $mPitcherData		= array();	// ꥵޥǡ
	var $mPitcherTeamData	= array();	// ꥵޥǡ()
	var $mPRegNum			= 0;		// 
	var $mOwnTeamList		= array();	// ̾ꥹ

	function __construct($mydirname){
		parent::__construct($mydirname);
		require_once XOOPS_MODULE_PATH . "/" . $mydirname . "/class/AbstractDatabase.class.php";
		require_once XOOPS_MODULE_PATH . "/" . $mydirname . "/forms/ViewGameForm.class.php";
		require_once XOOPS_MODULE_PATH . "/" . $mydirname . "/class/DbGame.class.php";
	}

    /**
     * ե।󥹥󥹤κ
     * @see modules/[modulename]/class/BBSB_AbstractEditGamedetailAction#_setupActionForm()
     */
    function _setupActionForm()
	{
		$this->mActionForm =& new BBSB_ViewGameForm($this->mMyDirName);
		$this->mActionForm->prepare();
	}

	/**
	 * ¹ν
	 */
	function prepare(&$controller, &$xoopsUser, $moduleConfig)
	{
		parent::prepare(&$controller, &$xoopsUser, $moduleConfig);
		// ĿӤʤξϽλ
		if( !_BBSB_OP_DISPSCORE && empty($xoopsUser) ){
			$controller->executeForward("./index.php");
		}

		// Хб
		if (class_exists('Wizin_User')) {	//Wizmobile
			$mobile_user = & Wizin_User::getSingleton();
			$this->mMobile = $mobile_user->bIsMobile;
		}
	}

	/**
	 * ꤵ줿DBǷǡǡ
	 * @param $controller
	 * @param $xoopsUser
	 * @return unknown_type
	 */
	function getDefaultView(&$controller, &$xoopsUser)
	{
		$this->mActionForm->load($this->mObject);	// եΥ
		$this->mActionForm->fetch();				// ꥯȥեफͤμ
		$this->mActionForm->validate();				// ͭȽ

		// 顼ϥեɽ
		if($this->mActionForm->hasError()) {
			return BBSB_FRAME_VIEW_INDEX;
		}

		$dbGame = new BBSB_DbGame($this->mMyDirName);	// ơ֥륯饹

		// बꤵƤʤС췳Ǹ
		if( !isset($_GET['cond_ownteamid']) ){
			$_GET['cond_ownteamid']	= -1;
		}

		// 쥯ȥܥåѥǡ
		$this->mNendoList		= $dbGame->getSelectNendoList($_GET['cond_ownteamid']);		// ǯ٥ꥹȼ(쥳ɤ¸ߤǯ٤Τ߼ǯ٥ꥹȤȤ)
		$this->mLeagueList		= $dbGame->getSelectLeagueList();		// ꡼/ťꥹȼ(쥳ɤ¸ߤ꡼Τ߼ǯ٥ꥹȤȤ)
		$this->mLeagueList		= $this->truncatestr( $this->mLeagueList, 'LeagueName', 15 );
		$this->mTournamentList	= $dbGame->getSelectTournamentList();	// /ȡʥȥꥹȼ(쥳ɤ¸ߤȡʥȤΤ߼ǯ٥ꥹȤȤ)
		$this->mTournamentList	= $this->truncatestr( $this->mTournamentList, 'TournamentName', 19 );
		$this->mGameOrderList	= $dbGame->getSelectGameOrderList();	// ꥹȼ(쥳ɤ¸ߤΤ߼ǯ٥ꥹȤȤ)
		$this->mGameOrderList	= $this->truncatestr( $this->mGameOrderList, 'GameOrderName', 7 );
		$this->mGroundList		= $dbGame->getSelectGroundList();		// 饦ɥꥹȼ(쥳ɤ¸ߤ륰饦ɤΤ߼ǯ٥ꥹȤȤ)
		$this->mGroundList		= $this->truncatestr( $this->mGroundList, 'GroundName', 19 );
		$this->mOpponentList	= $dbGame->getSelectOpponentList();		// ꥹȼ(쥳ɤ¸ߤΤ߼ǯ٥ꥹȤȤ)
		$this->mOpponentList	= $this->truncatestr( $this->mOpponentList, 'TeamName', 19 );
		$this->mOwnTeamList		= $this->getOwnTeamName();				// ̾μ

		// WHERE
		// ǯ٤ꤵƤʤкǿǯ٤ǥ쥳ɼ롣
		if( !isset($_GET['cond_nendo']) && $this->mNendoList){
			$maxidx = count($this->mNendoList)-1;
			if( isset($this->mNendoList[$maxidx]['Nendo']) ){
				if( $this->mNendoList[$maxidx]['Nendo'] ){
					$_GET['cond_nendo']	= $this->mNendoList[$maxidx]['Nendo'];
				}
			}
		}
		$wherestr = $this->createWhereStrForSearch();

		// ===== Ƿǡ =================================================================
		// Ƿǡ
		$tplarray = array(	'BH'=>0,'H'=>0,'2H'=>0,'3H'=>0,'HR'=>0,
							'O'=>0,'OG'=>0,'OF'=>0,'OL'=>0,'OJ'=>0,
							'B'=>0,'D'=>0,'K'=>0,'KE'=>0,
							'G'=>0,'GF'=>0,'S'=>0,'FC'=>0,'E'=>0,'IF'=>0,'W'=>0,
							'StolenBaseSuc'=>0,'StolenBaseFail'=>0,'RunsCnt'=>0,'ErrorsCnt'=>0,
							'Ksum'=>0,
							'UserID'=>0,'UniformNo'=>0,'FullName'=>0,'NickName'=>0,
							'Games'=>0,'RBI'=>0,'WinningRun'=>0,'TPA'=>0,		// GamesRBI:WinningRun:TPAʿ
							'AtBats'=>0,'HITS'=>0,'AVG'=>0,'OBP'=>0,			// ǿǿΨΨ
							'TB'=>0,'SLG'=>0,'SBP'=>0,'Kitei'=>0);				// ǿĹΨΨ

		// ﲼǤоݻ׻(ǷӤäƤΤ)
		$GameCntList = $dbGame->getScoreGameNum( $wherestr );
		if( $GameCntList === false ){
			$this->$mErrMsg	= _MD_BBSB_ERROR_DATABASEUPDATE;
			return BBSB_FRAME_VIEW_INDEX;
		}

		// ʿ׻롣
		$this->mGameNum	= $GameCntList[0]['COUNT(*)'];
		if( $this->mGameNum == 0 ){
			return BBSB_FRAME_VIEW_INDEX;	// оݥ쥳̵
		}
		$this->mBRegNum	= $this->mGameNum * _BBSB_OP_REGURATION;

		// bb_gamemember bb_gameentrantbb_gamebatter̾(˥å͡ޤ)ֹݤȤ롣оΤ
		//		bb_entrant¸ߤʤǤäƤbb_memberäƤйθ(LEFT JOIN
		$sqlstr =	" SELECT M.UserID,M.UniformNo,M.FullName,M.NickName,";
		$sqlstr	.=	"StolenBaseSuc,StolenBaseFail,RunsCnt,ErrorsCnt,Games,RBI,WinningRun ";
		$sqlstr .=	" FROM " . $dbGame->prefix_dir('bb_member') . " M ";
		$sqlstr .=	" LEFT JOIN ";
		$sqlstr .=	"   (SELECT E.UserID,";
		$sqlstr .=	"           SUM(E.StolenBaseSuc) AS StolenBaseSuc,";
		$sqlstr .=	"           SUM(E.StolenBaseFail) AS StolenBaseFail,";
		$sqlstr .=	"           SUM(E.RunsCnt) AS RunsCnt,";
		$sqlstr .=	"           SUM(E.ErrorsCnt) AS ErrorsCnt,";
		$sqlstr .=	"           SUM(E.RBI) AS RBI,";
		$sqlstr .=	"           SUM(E.WinningRun) AS WinningRun,";
		$sqlstr .=	"           COUNT(*) AS Games ";
		$sqlstr .=	"    FROM " . $dbGame->prefix_dir('bb_gameentrant') . " E, " . $dbGame->prefix_dir('bb_game') . " G ";
		if( $wherestr ){
			$wherestr .= " AND ";
		} else {
			$wherestr = " WHERE ";
		}
		$sqlstr .=	     $wherestr;
		$sqlstr .=	"    E.GameID=G.GameID ";
		$sqlstr .=	"    GROUP BY E.UserID) U ";
		$sqlstr .=	" ON M.UserID=U.UserID ";
		$sqlstr .=	" WHERE M.ScoreEntry='1' ";
		$sqlstr .=	" ORDER BY M.UserID ";
		$this->mBatterData = $dbGame->getList( $sqlstr );
		if( $this->mBatterData === false ){
			$this->$mErrMsg	= _MD_BBSB_ERROR_DATABASEUPDATE;
			return BBSB_FRAME_VIEW_INDEX;
		}

		// ˡɲäɬפ$tplarray­Ȥ䤦Nullͤä0롣
		foreach( $this->mBatterData as $key => &$dat ){
			$dat = $dat+$tplarray;
			if( $dat['StolenBaseSuc'] == null )	{ $dat['StolenBaseSuc']=0; }
			if( $dat['StolenBaseFail'] == null ){ $dat['StolenBaseFail']=0; }
			if( $dat['RunsCnt'] == null )		{ $dat['RunsCnt']=0; }
			if( $dat['Games'] == null )			{ $dat['Games']=0; }
			if( $dat['RBI'] == null )			{ $dat['RBI']=0; }
			if( $dat['WinningRun'] == null )	{ $dat['WinningRun']=0; }
			// ̾ɽ˥å͡ɽȽꤷNameɽѤ̾ꤹ롣
			$this->setDispName( $dat, false );	// 2:"˥եֹɽ/ɽ"
		}

		// bb_gamebatter顢Ƿǡ(Ƿ̡ʿ)롣
		//		ﲼǡоݤΤߡ
		$sqlstr =	" SELECT B.UserID,B.ScoreMarkID,COUNT(*) as NUM ";
		$sqlstr .=	" FROM " . $dbGame->prefix_dir('bb_gamebatter') . " B, ";
		$sqlstr .=	$dbGame->prefix_dir('bb_member') . " M, ";
		$sqlstr .=	$dbGame->prefix_dir('bb_game')	. " G ";
		$sqlstr .=	$wherestr . " B.UserID=M.UserID AND M.ScoreEntry='1' AND G.GameID=B.GameID ";
		$sqlstr .=  " GROUP BY B.UserID, B.ScoreMarkID ";
		$sqlstr .=	" ORDER BY B.UserID, B.ScoreMarkID ";
		$lbScore = array();
		$lbScore	= $dbGame->getList( $sqlstr );
		if( $lbScore === false ){
			$this->$mErrMsg	= _MD_BBSB_ERROR_DATABASEUPDATE;
			return BBSB_FRAME_VIEW_INDEX;
		}

		// СꥹȤǷǡޥå󥰤ɽ1ĤˤޤȤ
		$midx = 0;
		foreach( $lbScore as $bKey => $bDat ){	// Ƿǡ롼
			// $uid = $bDat['UserID'];
			for( $mcnt = $midx ; $mcnt < count($this->mBatterData) ; $mcnt++,$midx++ ){
				if( $this->mBatterData[$mcnt]['UserID'] == $bDat['UserID'] ){
					$mark = $bDat['ScoreMarkID'];
					$this->mBatterData[$mcnt][$mark] = $bDat['NUM'];
					$this->mBatterData[$mcnt]['TPA'] += $bDat['NUM'];	// ʿ
					break;
				}
			}
		}

		// κ
		$this->mBatterTeamData = $tplarray;
		foreach( $this->mBatterData as $mKey => $mDat ){	// С롼
			foreach( $mDat as $sKey => $sDat ){
				if( is_numeric($sDat) && $sKey != 'UserID' && $sKey != 'UniformNo' ){
					$this->mBatterTeamData[$sKey] += $sDat;
				}
			}
		}
		$this->mBatterData[] = $this->mBatterTeamData;	// äǷǡꥹȤκǸˤäĤ

		// Ψ׻(ΨǿǡΨΨĹΨ
		//		ǰ˳ƹܤMAXͤ׻
		//		ʤãƤ뤫ɤå롣
		$this->mBatterMaxData = $tplarray;
		$exarray = array('AVG','OBP','SLG','SBP');
		foreach( $this->mBatterData as $mKey => &$mDat ){	// С롼
			// ǿ
			$mDat['AtBats']	= $mDat['BH']+$mDat['H']+$mDat['2H']+$mDat['3H']+$mDat['HR']
							+$mDat['O']+$mDat['OG']+$mDat['OF']+$mDat['OL']+$mDat['OJ']+$mDat['E']
							+$mDat['FC']+$mDat['S']+$mDat['W']+$mDat['K']+$mDat['KE'];
			// ǿ
			$mDat['HITS']	= $mDat['BH']+$mDat['H']+$mDat['2H']+$mDat['3H']+$mDat['HR'];
			// Ψ
			$mDat['AVG']	= ($mDat['AtBats'])? $mDat['HITS']/$mDat['AtBats'] : 0;
			// Ψ
			$denominator	= $mDat['AtBats']+$mDat['B']+$mDat['D']+$mDat['GF'];	// ʬǿ+͵++
			$mDat['OBP']	= ($denominator)? sprintf("%.3f",($mDat['HITS']+$mDat['B']+$mDat['D'])/$denominator) : 0;
			// ǿ
			$mDat['TB']		= $mDat['BH']+$mDat['H']+$mDat['2H']*2+$mDat['3H']*3+$mDat['HR']*4;
			// ĹΨ
			$mDat['SLG']	= ($mDat['AtBats'])? sprintf("%.3f",$mDat['TB']/$mDat['AtBats']) : 0;
			// Ψ
			$denominator	=  $mDat['StolenBaseSuc'] + $mDat['StolenBaseFail'];
			$mDat['SBP']	=  $denominator? $mDat['StolenBaseSuc']/$denominator : 0 ;
			// 
			$mDat['Ksum']	= $mDat['K']+$mDat['KE'];
			// Ƚ
			if( $this->mBRegNum <= $mDat['TPA'] ){
				$mDat['Kitei']=2;	// 2:ã
			} else {
				$mDat['Kitei']=1;	// 1:̤ã
			}
			// ͷ׻
			if( $mKey != count($this->mBatterData)-1 ){	// ǸιԡӤоݳ
				foreach( $this->mBatterMaxData as $key => &$value ){
					if( !($mDat['Kitei']==1 && in_array($key, $exarray)) ){	// ʤãƤʤϡ"**Ψ"ǤäƤͤȤϤʤ
						if( $value < $mDat[$key] ){ $value=$mDat[$key]; }
					}
				}
			}
		}
		$this->mBatterTeamData = array_pop($this->mBatterData);				// κǸΥǡϥסȤڤΥ
		$this->mBatterTeamData['Games']	=	$this->mGameNum;				// Ϲ׿ǤϤʤƼºݤλǤ

		// ȡ (߽)Ψ(߽)ǿʿֹ
		$kitei = $AVG = $HITS = $TPA = $UniNo = array();
		foreach( $this->mBatterData as $key => $row ){
			$kitei[$key]	= $row['Kitei'];
			$AVG[$key]		= $row['AVG'];
			$HITS[$key]		= $row['HITS'];
			$TPA[$key]		= $row['TPA'];
			$UniNo[$key]	= $row['UniformNo'];
		}
		if( $this->mBatterData ){
			array_multisort( $kitei,SORT_DESC, $AVG,SORT_DESC , $HITS,SORT_DESC, $TPA,SORT_DESC, $UniNo,SORT_ASC, $this->mBatterData );
		}

		// ֹĤ롣 ƱΨξƱ̡̤ãԤϡãԤ̤롣
		$order		= 0;
		$cur_avg	= 1.01;
		$cur_kitei	= 2;
		for( $rcnt = 0 ; $rcnt < count($this->mBatterData) ; $rcnt++ ){
			if( $cur_avg	> $this->mBatterData[$rcnt]['AVG'] ||
				$cur_kitei	> $this->mBatterData[$rcnt]['Kitei'] ){
				$order = $rcnt + 1;
			}
			$this->mBatterData[$rcnt]['No'] = $order;
			$cur_avg	= $this->mBatterData[$rcnt]['AVG'];
			$cur_kitei	= $this->mBatterData[$rcnt]['Kitei'];
		}

		// ===== ǡ =================================================================
		$tplParray = array(	'Innings'=>0,'OutCnt'=>0,'ER'=>0,'Runs'=>0,'KCnt'=>0,'BCnt'=>0,	// ER:Runs:
							'DBCnt'=>0,'HCnt'=>0,'HRCnt'=>0,'ERA'=>0,						// ERA:ɸΨ
							'UserID'=>0,'UniformNo'=>0,'FullName'=>0,'NickName'=>0,
							'Games'=>0,'Kitei'=>0,'Win'=>0,'Lose'=>0,'Save'=>0,'Hold'=>0);	// Games

		// ׻롣
		$this->mPRegNum = $this->mGameNum * _BBSB_OP_PREGURATION;

		// bb_member bb_gamepitcher̾(˥å͡ޤ)ֹݤȤ롣оΤ
		//		bb_entrant¸ߤʤθ(LEFT JOIN
		$sqlstr =	" SELECT M.UserID,M.UniformNo,M.FullName,M.NickName,";
		$sqlstr	.=	"SUM(Innings) AS Innings, SUM(OutCnt) AS OutCnt, SUM(EarnedRuns) AS ER,";
		$sqlstr .=	"SUM(Runs) AS Runs, SUM(KCnt) AS KCnt, SUM(BCnt) AS BCnt, SUM(DBCnt) AS DBCnt,";
		$sqlstr .=	"SUM(HCnt) AS HCnt, SUM(HRCnt) AS HRCnt, COUNT(G.GameID) AS Games, ";
		$sqlstr .=	"SUM(Win) AS Win, SUM(Lose) AS Lose, SUM(Save) AS Save, SUM(Hold) AS Hold ";
		$sqlstr .=	" FROM " . $dbGame->prefix_dir('bb_member') . " M, ";
		$sqlstr .=	           $dbGame->prefix_dir('bb_game') . " G, ";
		$sqlstr .=	           $dbGame->prefix_dir('bb_gamepitcher') . " P ";
		$sqlstr .=	$wherestr;
		$sqlstr .=	"     G.GameID=P.GameID ";
		$sqlstr .=	" AND M.UserID=P.UserID ";
		$sqlstr .=	" AND M.ScoreEntry='1' ";
		$sqlstr .=	" GROUP BY M.UserID ";
		$sqlstr .=	" ORDER BY M.UserID ";
		$this->mPitcherData = $dbGame->getList( $sqlstr );
		if( $this->mPitcherData === false ){
			$this->$mErrMsg	= _MD_BBSB_ERROR_DATABASEUPDATE;
			return BBSB_FRAME_VIEW_INDEX;
		}

		// ˡɲäɬפ$tplarray­Ȥ䤦Nullͤä0롣
		foreach( $this->mPitcherData as $key => &$dat ){
			$dat = $dat+$tplarray;
			if( $dat['Innings']	== null ){ $dat['Innings']=0; }
			if( $dat['OutCnt']	== null ){ $dat['OutCnt']=0; }
			if( $dat['Win']		== null ){ $dat['Win']=0; }
			if( $dat['Lose']	== null ){ $dat['Lose']=0; }
			if( $dat['Save']	== null ){ $dat['Save']=0; }
			if( $dat['Hold']	== null ){ $dat['Hold']=0; }
			// ̾ɽ˥å͡ɽȽꤷNameɽѤ̾ꤹ롣
			$this->setDispName( $dat, false );	// 2false"˥եֹɽ"
		}

		// ǡκ
		$this->mPitcherTeamData = $tplParray;
		foreach( $this->mPitcherData as $mKey => $mDat ){	// С롼
			foreach( $mDat as $sKey => $sDat ){
				if( ctype_digit($sDat) && $sKey != 'UserID' && $sKey != 'UniformNo' )
				$this->mPitcherTeamData[$sKey] += $sDat;
			}
		}
		if( $this->mPitcherTeamData['Win']	== null ){ $this->mPitcherTeamData['Win'] = 0; }
		if( $this->mPitcherTeamData['Lose']	== null ){ $this->mPitcherTeamData['Lose'] = 0; }
		if( $this->mPitcherTeamData['Save']	== null ){ $this->mPitcherTeamData['Save'] = 0; }
		if( $this->mPitcherTeamData['Hold']	== null ){ $this->mPitcherTeamData['Hold'] = 0; }
		$this->mPitcherData[] = $this->mPitcherTeamData;	// äǡꥹȤκǸˤäĤ

		// ɸΨ׻˥󥰿ãƤ뤫ɤå
		foreach( $this->mPitcherData as $mKey => &$mDat ){	// С롼
			// ˥󥰿
			if( $mDat['OutCnt'] >= 3 ){
				$mDat['Innings'] += floor( $mDat['OutCnt'] / 3);
				$mDat['OutCnt'] = $mDat['OutCnt'] % 3;
			}
			// ɸΨ
			$denominator = $mDat['Innings']*3+$mDat['OutCnt'];
			if( $denominator ){
				$mDat['ERA'] = ($mDat['ER'] * _BBSB_OP_GAME_INNINGS*3) / $denominator;
			} else {
				$mDat['ERA'] = 0;
			}
			// Ƚ
			if( $this->mPRegNum <= $mDat['Innings'] ){
				$mDat['Kitei']=2;	// 2:ã
			} else {
				$mDat['Kitei']=1;	// 1:̤ã
			}
		}
		$this->mPitcherTeamData = array_pop($this->mPitcherData);				// κǸΥǡϥסȤڤΥ
		$this->mPitcherTeamData['Games']	=	$this->mGameNum;				// Ϲ׿ǤϤʤƼºݤλǤ

		// ȡ (߽)ɸΨ(߽)
		$pkitei = $ERA = array();
		foreach( $this->mPitcherData as $key => $row ){
			$pkitei[$key]	= $row['Kitei'];
			$ERA[$key]		= $row['ERA'];
		}
		if( $this->mPitcherData ){
			array_multisort( $pkitei,SORT_DESC, $ERA,SORT_ASC , $this->mPitcherData );
		}

		// ֹĤ
		for( $rcnt = 0 ; $rcnt < count($this->mPitcherData) ; $rcnt++ ){
			$this->mPitcherData[$rcnt]['No'] = $rcnt+1;
		}

		// νͤ-1
		if( xoops_getrequest('opponentid') === null ){
			$_GET['opponentid']='-1';
		}

		return BBSB_FRAME_VIEW_INDEX;
	}

	/**
	 * եͤϤ
	 * @param $controller
	 * @param $xoopsUser
	 * @param $render
	 * @return unknown_type
	 */
	function executeViewIndex(&$controller, &$xoopsUser, &$render)
	{
		if( $this->mMobile ){
			$render->setTemplateName("bbsb_viewpersonalscoreM.html");
		} else {
			// ǿǯ٤
			$lYear = "";
			if( $this->mNendoList ){
				$maxidx = count($this->mNendoList)-1;
				$lYear = $this->mNendoList[$maxidx]['Nendo'];
			}
			// ֥ȥѤJavaScript
			$tabber_jscode_opt =	'<script type="text/javascript">												';
			$tabber_jscode_opt .=	'var tabberOptions = {															';
			$tabber_jscode_opt .=	'	"manualStartup":true,														';
			$tabber_jscode_opt .=	'	"onClick": function(argsObj) {												';
			$tabber_jscode_opt .=	'		var t = argsObj.tabber; /* Tabber object */								';
			$tabber_jscode_opt .=	'		var id = t.id; /* ID of the main tabber DIV */							';
			$tabber_jscode_opt .=	'		var i = argsObj.index; /* Which tab was clicked (0 is the first tab) */	';
			$tabber_jscode_opt .=	'		var e = argsObj.event; /* Event object */								';
			$tabber_jscode_opt .=	'		if (argsObj.index == 1) {												';
			$tabber_jscode_opt .=	'			drawAVGgraph( "' . $lYear . '","' . $_GET['cond_ownteamid'] . '");	';
			$tabber_jscode_opt .=	'		} else if (argsObj.index == 2) {										';
			$tabber_jscode_opt .=	'			drawERAgraph( "' . $lYear . '","' . $_GET['cond_ownteamid'] . '");	';
			$tabber_jscode_opt .=	'		}																		';
			$tabber_jscode_opt .=	'	}																			';
			$tabber_jscode_opt .=	'};																				';
			$tabber_jscode_opt .=	'</script>																		';

			$render->setTemplateName("bbsb_viewpersonalscore.html");
			$render->setAttribute("xoops_module_header",	_BBSB_OP_CSSFILE .
															_BBSB_OP_SORTTABLE_JS .
															_BBSB_OP_EXCANVAS.
															_BBSB_OP_JQUERY_JS .
															_BBSB_OP_JQUERY_FLOT_JS .
															$tabber_jscode_opt .
															_BBSB_OP_TABBER_JS .
															_BBSB_OP_TABBER_CSS );
		}

		$render->setAttribute('err_msg',				$this->mErrMsg);

		// 쥯ȥܥå
		$render->setAttribute("nendolist",		$this->mNendoList);			// ǯ٥쥯ȥܥå
		$montharray = array("1","2","3","4","5","6","7","8","9","10","11","12");
		$render->setAttribute("months",			$montharray);				// Υ쥯ȥܥå
		$render->setAttribute("leaguelist", 	$this->mLeagueList);		// ꡼
		$render->setAttribute("tournamentlist",	$this->mTournamentList);	// ȡʥ
		$render->setAttribute("gameorderlist",	$this->mGameOrderList);		// 
		$render->setAttribute("groundlist",		$this->mGroundList);		// 饦
		$render->setAttribute("opponentlist",	$this->mOpponentList);		// 
		$render->setAttribute("ownteamlist",	$this->mOwnTeamList);		// ̾
		$render->setAttribute("cond_ownteamid",	$_GET['cond_ownteamid']);	// ＫID

		// ̥ǡ
		$render->setAttribute('gamenum',		$this->mGameNum );			// 
		$render->setAttribute('bList',			$this->mBatterData );		// Ƿǡ
		$render->setAttribute('bMax',			$this->mBatterMaxData );	// Ƿǡ()
		$render->setAttribute('bTeam',			$this->mBatterTeamData );	// Ƿǡ()
		$render->setAttribute('bregnum',		$this->mBRegNum );			// 
		$render->setAttribute('pList',			$this->mPitcherData );		// ǡ
		$render->setAttribute('pTeam',			$this->mPitcherTeamData );	// ǡ()
		$render->setAttribute('pregnum',		$this->mPRegNum );			// 

		$render->setAttribute('modname',		$controller->mRoot->mContext->mModule->mXoopsModule->get('name'));
		$render->setAttribute('submenu',		constant($this->mConstPref . '_MENU_VIEWPERSONALSCORE') );
	}

	function executeViewError(&$controller, &$xoopsUser, &$render)
	{
	}
}
?>